import request from '@/router/axios'

export function cancelOrderApi(query) {
  return request({
    url: '/admin/merchantMallOrder/cancelOrder',
    method: 'get',
    params: query
  })
}


export function deleteOrder(params) {
  return request({
    url: '/admin/merchantMallOrder/deleteOrders',
    method: 'delete',
    params
  })
}

export function fetchList(query) {
  return request({
    url: '/admin/merchantMallOrder/page',
    method: 'get',
    params: query
  })
}
export function putObj(obj) {
  return request({
    url: '/admin/merchantMallOrder',
    method: 'put',
    params: obj
  })
}

export function shipsImmediatelyApi(query) {
  return request({
    url: '/admin/merchantMallOrder/shipsImmediately',
    method: 'put',
    params: query
  })
}

export function getOrderInfo(params) {
  return request({
    url: '/admin/merchantMallOrder/queryOrderDetails',
    method: 'get',
    params:params
  })
}


export function viewLogisticsApi(query) {
  return request({
    url: '/admin/merchantMallOrder/merchantViewLogistics',
    method: 'get',
    params: query
  })
}
export function getMerchantByAccount(parameter) {
  return request({
    url: '/admin/merchantMallGoods/getMerchantByAccount',
    method: 'get',
    params:parameter
  })
}
